"use strict";

exports.__esModule = true;
exports.resolvableExtensions = resolvableExtensions;
exports.modifyWebpackConfig = modifyWebpackConfig;
exports.preprocessSource = preprocessSource;

var _coffeescript = require("coffeescript");

var _resolve = require("./resolve");

var _resolve2 = _interopRequireDefault(_resolve);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var COFFEE = /\.coffee$/;

function resolvableExtensions() {
  return [`.coffee`];
}

function modifyWebpackConfig(_ref) {
  var loaders = _ref.loaders,
      actions = _ref.actions;

  var coffeeLoader = [loaders.js(), (0, _resolve2.default)(`coffee-loader`)];

  // We need to use Babel to get around the ES6 export issue.
  actions.setWebpackConfig({
    module: {
      rules: [{
        test: COFFEE,
        use: coffeeLoader
      }]
    }
  });
}

function preprocessSource(_ref2, pluginOptions) {
  var filename = _ref2.filename,
      contents = _ref2.contents;

  if (COFFEE.test(filename)) {
    return (0, _coffeescript.compile)(contents, pluginOptions);
  }
  return null;
}